curl --location --request PUT 'https://api.stateset.com/v1/return/:id/approve' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation returnApproveMutation {
returnApprove(id: "${returnId}") {
return {
id,
status
}
userErrors {
field
message
}
}
}
`;
const returns = await stateset.returns.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
returns = stateset.returns.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
returns = Stateset::Return.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
returns, err := stateset.Returns.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Return returns = stateset.Returns.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$returns = $stateset->returns->approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var returns = await stateset.Returns.Approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "return",
"approved": true
}
Approve Return
This endpoint approves a return.
POST
/
v1
/
returns
/
:id
/
approve
curl --location --request PUT 'https://api.stateset.com/v1/return/:id/approve' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation returnApproveMutation {
returnApprove(id: "${returnId}") {
return {
id,
status
}
userErrors {
field
message
}
}
}
`;
const returns = await stateset.returns.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
returns = stateset.returns.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
returns = Stateset::Return.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
returns, err := stateset.Returns.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Return returns = stateset.Returns.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$returns = $stateset->returns->approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var returns = await stateset.Returns.Approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "return",
"approved": true
}
Body
string
The ID provided in the data tab may be used to identify the return
Response
string
The ID provided in the data tab may be used to identify the return
string
The object type
number
Indicates whether the call was successful. true if successful, false if not.
curl --location --request PUT 'https://api.stateset.com/v1/return/:id/approve' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation returnApproveMutation {
returnApprove(id: "${returnId}") {
return {
id,
status
}
userErrors {
field
message
}
}
}
`;
const returns = await stateset.returns.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
returns = stateset.returns.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
returns = Stateset::Return.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
returns, err := stateset.Returns.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Return returns = stateset.Returns.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$returns = $stateset->returns->approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var returns = await stateset.Returns.Approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "return",
"approved": true
}
โI